Campaigns
Create a campaign
post
https://www.getrevox.com/api/campaignsCreate a new outbound calling campaign. Every contact is materialized as a call in the not_launched status — nothing is dialed. Use POST /campaigns/:id/launch-calls to send them.
Request body
namestringrequiredThe name of the campaign
min length 1
assistant_idstring (uuid)requiredThe ID of the assistant to use
from_phone_numberstringThe phone number to use for outbound calls (E.164 format, e.g., +1234567890)
max_concurrent_callsnumberMaximum number of concurrent calls allowed for this campaign
min 1
call_retry_configCallRetryConfigRetry configuration for calls in this campaign. If not provided, uses the default retry config.
contactsarray of objectrequiredThe list of contacts to call
Show 2 fieldsHide 2 fields
to_phone_numberstringrequiredprompt_variablesanyrequiredDefault
{}
Responses
200Success
400Invalid request: the body or a parameter failed validation
messagestringerrorstringbodyErrorsobjectThe validation errors returned from the API.
Show 1 fieldHide 1 field
issuesarray of objectrequiredShow 3 fieldsHide 3 fields
patharray of one ofrequiredShow 2 variantsHide 2 variants
One ofstringstring
One ofnumbernumber
messagestringrequiredcodestring
402Not enough credits on the organization
errorstringrequiredcodestring (constant)requiredAlways
"INSUFFICIENT_BALANCE"